package com.xxfc.platform.campsite.mapper;

import com.xxfc.platform.campsite.dto.CampsiteShopTagDTO;
import com.xxfc.platform.campsite.entity.CampsiteShopTag;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 店铺类型表
 *
 * @author libin
 * @email 18178966185@163.com
 * @date 2019-06-17 10:28:48
 */
public interface CampsiteShopTagMapper extends Mapper<CampsiteShopTag> {

    /**
     * 根据店铺id查询
     * @param shopId
     * @return
     */
    List<CampsiteShopTagDTO> findByCampsiteShopId(Integer shopId);

    /**
     * 根据店铺ids查询
     * @param campsiteShopIds
     * @return
     */
    List<CampsiteShopTagDTO> findByCampsiteShopIds(@Param("cspIds") List<Integer> campsiteShopIds);

    int updateCampsiteTagStatus(@Param("ids") List<Long> ids,@Param("status") Integer status, @Param("shopId") Integer shopId);

    int saveBatch(@Param("stgdtos") List<CampsiteShopTagDTO> shopTagDTOS);

    int deleteByShopId(Integer shopId);
}
